JavaGradlePluginPlugin.PluginValidationActionsState (Gradle API 9.7.1)
Description: declaration: package: org.gradle.plugin.devel.plugins, class: JavaGradlePluginPlugin, class: PluginValidationActionsState

# Class JavaGradlePluginPlugin.PluginValidationActionsState

java.lang.Object
org.gradle.plugin.devel.plugins.JavaGradlePluginPlugin.PluginValidationActionsState

Enclosing class:
  `JavaGradlePluginPlugin`

static class JavaGradlePluginPlugin.PluginValidationActionsState extends Object
A state shared by the validation process.

This separate class is required to ensure the shared state remains shared after deserialization of actions from the configuration cache.

See Also:
  - `JavaGradlePluginPlugin.configureJarTask(Project, GradlePluginDevelopmentExtension)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PluginValidationActionsState()`
  `PluginValidationActionsState(List<org.gradle.api.internal.plugins.PluginDescriptor> descriptors, Set<String> classes)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addPluginClass(String className)`
  `void`
  `addPluginDescriptor(org.gradle.api.internal.plugins.PluginDescriptor descriptor)`
  `Set<String>`
  `getCollectedClasses()`
  `List<org.gradle.api.internal.plugins.PluginDescriptor>`
  `getCollectedDescriptors()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PluginValidationActionsState

    public PluginValidationActionsState()

  - ### PluginValidationActionsState

    public PluginValidationActionsState(List<org.gradle.api.internal.plugins.PluginDescriptor> descriptors, Set<String> classes)

- ## Method Details

  - ### addPluginClass

    public void addPluginClass(String className)

  - ### addPluginDescriptor

    public void addPluginDescriptor(org.gradle.api.internal.plugins.PluginDescriptor descriptor)

  - ### getCollectedClasses

    public Set<String> getCollectedClasses()

  - ### getCollectedDescriptors

    public List<org.gradle.api.internal.plugins.PluginDescriptor> getCollectedDescriptors()